AOWP_PHPClassConstVariableRefElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPClassConstVariableRefElement
/parser/ast/PHPClassConstVariableRefElement.class.php at line 19

# Class AOWP_PHPClassConstVariableRefElement

    AOWP_PHPElement
        └─AOWP_PHPClassConstVariableRefElement

public class AOWP_PHPClassConstVariableRefElement
extends AOWP_PHPElement

PHPClassConstVariableElement PHPのASTにおける「::」を表すクラス 文法規則: function_call_parameter_list

Author:
  Ryoto Naruse /

Field Summary
mixed | $className
mixed | $variableName

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPClassConstVariableRefElement(mixed _line, mixed className, mixed variableName)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPClassConstVariableRefElement.class.php at line 21

### className

`public mixed $className`

/parser/ast/PHPClassConstVariableRefElement.class.php at line 22

### variableName

`public mixed $variableName`

## Constructor Detail

/parser/ast/PHPClassConstVariableRefElement.class.php at line 24

### AOWP_PHPClassConstVariableRefElement

`public AOWP_PHPClassConstVariableRefElement(mixed _line, mixed className, mixed variableName)`

## Method Detail

/parser/ast/PHPClassConstVariableRefElement.class.php at line 31

### __toString

`public void __toString()`

/parser/ast/PHPClassConstVariableRefElement.class.php at line 36

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr